<?php

namespace App\Console\Commands;

use App\Models\Guardian;
use Carbon\Carbon;
use Illuminate\Console\Command;

class CheckSubscriberCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'command:check-subscriber-command';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function handle(): void
    {
        $today = Carbon::now();
        $users = Guardian::where('is_subscribed', '=', true)->whereYear('to_date', '=', $today->year)->whereMonth('to_date', '=', $today->month)
            ->whereDay('to_date', '=', $today->day)->get();

        foreach ($users as $user) {
            Guardian::where('id', '=', $user->id)->update([
                'plan_id' => NULL,
                'is_subscribed' => false
            ]);
        }
    }
}
