<?php

namespace App\Console\Commands;

use App\Libs\Services\BrainCertService;
use App\Libs\Services\ZoomService;
use Illuminate\Console\Command;

class MeetingCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'command:meeting';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function handle(): void
    {
        if (config('virtualclassroom-config.meeting.default') == 'zoom') {
            $zoom = new ZoomService();
            $zoom->createMeeting();
        } else {
            $brainCert = new BrainCertService();
            $brainCert->createBrainCertMeetingService();
        }
    }
}
