<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Libs\Repositories\Contracts\AdminRepositoryInterface;
use Illuminate\Http\Request;

/**
 * AdminController
 */
class AdminController extends Controller
{

    /**
     * @var AdminRepositoryInterface
     */
    private AdminRepositoryInterface $adminRepositoryInterface;

    /**
     * @param AdminRepositoryInterface $adminRepositoryInterface
     */
    public function __construct(AdminRepositoryInterface $adminRepositoryInterface)
    {
        $this->adminRepositoryInterface = $adminRepositoryInterface;
    }

    /**
     * get all admin
     * @return mixed
     */
    public function index(): mixed
    {
        return $this->adminRepositoryInterface->getAllAdminAccount();
    }

    /**
     * create admin
     * @param Request $request
     * @return mixed
     */
    public function store(Request $request): mixed
    {
        return $this->adminRepositoryInterface->createAdminAccount($request);
    }

    /**
     * show single admin
     * @param $id
     * @return mixed
     */
    public function show($id): mixed
    {
        return $this->adminRepositoryInterface->getSingleAdminAccount($id);
    }

    /**
     * delete admin
     * @param $id
     * @return mixed
     */
    public function destroy($id): mixed
    {
        return $this->adminRepositoryInterface->deleteAdminAccount($id);
    }

}
