<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Libs\Repositories\Contracts\ClassesRepositoryInterface;

/**
 * Classes controller
 */
class ClassesController extends Controller
{
    /**
     * @var ClassesRepositoryInterface
     */
    private ClassesRepositoryInterface $classesRepositoryInterface;

    /**
     * @param ClassesRepositoryInterface $classesRepositoryInterface
     */
    public function __construct(ClassesRepositoryInterface $classesRepositoryInterface)
    {
        $this->classesRepositoryInterface = $classesRepositoryInterface;
    }

    /**
     * get all classes
     * @return mixed
     */
    public function index(): mixed
    {
        return $this->classesRepositoryInterface->getAllClasses();
    }

    /**
     * get single class
     * @param $id
     * @return mixed
     */
    public function show($id): mixed
    {
        return $this->classesRepositoryInterface->getSingleClass($id);
    }
}
