<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Libs\Repositories\Contracts\CourseWorkRepositoryInterface;
use Illuminate\Http\Request;

/**
 * Course work controller
 */
class CourseWorkController extends Controller
{
    /**
     * @var CourseWorkRepositoryInterface
     */
    private CourseWorkRepositoryInterface $courseWorkRepositoryInterface;

    /**
     * @param CourseWorkRepositoryInterface $courseWorkRepositoryInterface
     */
    public function __construct(CourseWorkRepositoryInterface $courseWorkRepositoryInterface)
    {
        $this->courseWorkRepositoryInterface = $courseWorkRepositoryInterface;
    }

    /**
     * add course work
     * @param Request $request
     * @return mixed
     */
    public function addCourseWorkMethod(Request $request): mixed
    {
        return $this->courseWorkRepositoryInterface->addCourseWork($request);
    }

    /**
     * get all course work
     * @return mixed
     */
    public function getAllMyCourseWork(): mixed
    {
        return $this->courseWorkRepositoryInterface->getAllMyCourseWork();
    }

    /**
     * get single course work
     * @param $id
     * @return mixed
     */
    public function getSingleCourseWork($id): mixed
    {
        return $this->courseWorkRepositoryInterface->getSingleCourseWork($id);
    }

}
