<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Libs\Repositories\Contracts\TeacherRequestRepositoryInterface;
use Illuminate\Http\Request;

/**
 * Teacher engagement
 */
class TeacherRequestController extends Controller
{
    /**
     * @var TeacherRequestRepositoryInterface
     */
    private TeacherRequestRepositoryInterface $teacherRequestRepositoryInterface;

    /**
     * @param TeacherRequestRepositoryInterface $teacherRequestRepositoryInterface
     */
    public function __construct(TeacherRequestRepositoryInterface $teacherRequestRepositoryInterface)
    {
        $this->teacherRequestRepositoryInterface = $teacherRequestRepositoryInterface;
    }

    /**
     * engage teacher
     * @param Request $request
     * @return mixed
     */
    public function engageTeacherMethod(Request $request): mixed
    {
        return $this->teacherRequestRepositoryInterface->engageTeacher($request);
    }

    /**
     * approve teacher engagement
     * @param Request $request
     * @return mixed
     */
    public function approveEngagementMethod(Request $request): mixed
    {
        return $this->teacherRequestRepositoryInterface->approveTeacherEngagement($request);
    }

    /**
     * get meeting link
     * @param $id
     * @return mixed
     */
    public function getMeetingLinkMethod($id): mixed
    {
        return $this->teacherRequestRepositoryInterface->getMeetingLink($id);
    }

    /**
     * get all engagement request
     * @return mixed
     */
    public function getAllEngagementMethod(): mixed
    {
        return $this->teacherRequestRepositoryInterface->getAllEngagement();
    }
}
