<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Libs\Repositories\Contracts\UserRepositoryInterface;
use Illuminate\Http\Request;

/**
 * User controller
 */
class UserController extends Controller
{
    /**
     * @var UserRepositoryInterface
     */
    private UserRepositoryInterface $userRepositoryInterface;

    /**
     * @param UserRepositoryInterface $userRepositoryInterface
     */
    public function __construct(UserRepositoryInterface $userRepositoryInterface)
    {
        $this->userRepositoryInterface = $userRepositoryInterface;
    }

    /**
     * create agents
     * @param Request $request
     * @return mixed
     */
    public function store(Request $request): mixed
    {
        return $this->userRepositoryInterface->createUserAccount($request);
    }


    /**
     * change password
     * @param Request $request
     * @return mixed
     */
    public function changeAccountPassword(Request $request): mixed
    {
        return $this->userRepositoryInterface->changePassword($request);
    }

    /**
     * resend otp code
     * @param Request $request
     * @return mixed
     */
    public function resendOtpCode(Request $request): mixed
    {
        return $this->userRepositoryInterface->resendOtpCodeToEmail($request);
    }

    /**
     * activate or deactivate method
     * @param Request $request
     * @return mixed
     */
    public function activateOrDeactivateMethod(Request $request): mixed
    {
        return $this->userRepositoryInterface->activateOrDeactivate($request);
    }

    public function updateUserProfile(Request $request)
    {
        return $this->userRepositoryInterface->updateUserProfile($request);
    }

}
