<?php

namespace App\Http\Middleware;

use App\Libs\Traits\AuthUserTrait;
use Closure;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class IsSuperAdmin
{
    use AuthUserTrait;

    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param \Closure(Request): (Response|RedirectResponse) $next
     * @return JsonResponse
     */
    public function handle(Request $request, Closure $next): JsonResponse
    {
        if ($this->getAuthUser()->role != 'superadmin') {
            return response()->json([
                'message' => 'Sorry you do not have superadmin right',
                'success' => false
            ], 400);
        }
        return $next($request);
    }
}
