<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $phone_number
 * @property mixed $profile_url
 * @property mixed $created_at
 * @property mixed $updated_at
 * @property mixed $deleted_at
 * @property mixed $first_name
 * @property mixed $last_name
 * @property mixed $address
 * @property mixed $user
 */
class AdminResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        return [
            'id' => $this->id,
            'firstname' => $helper->cleanStringHelper($this->first_name),
            'lastname' => $helper->cleanStringHelper($this->last_name),
            'phone_number' => $helper->cleanStringHelper($this->phone_number),
            'profile_url' => $helper->cleanStringHelper($this->profile_url),
            'address' => $helper->cleanStringHelper($this->address),
            'email' => $this->when($this->whenLoaded('user') , function () {
                    return $this->user->email;
            }),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'deleted_at' => $this->deleted_at
        ];
    }
}
