<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $subject
 * @property mixed $day
 * @property mixed $time
 * @property mixed $number_of_students
 * @property mixed $meeting_id
 * @property mixed $created_at
 * @property mixed $updated_at
 * @property mixed $deleted_at
 * @property mixed $variation
 * @property mixed $meeting_details
 */
class ClassesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        return [
            'id' => $this->id,
            'subject' => $this->subject->name,
            'day' => $helper->cleanStringHelper($this->day),
            'time' => $helper->cleanStringHelper($this->time),
            'number_of_students' => $helper->cleanStringHelper($this->number_of_students),
            'meeting_id' => $helper->cleanStringHelper($this->meeting_id),
            'variation' => $helper->cleanStringHelper($this->variation),
            'zoom' => json_decode($this->meeting_details),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'deleted_at' => $this->deleted_at
        ];
    }
}
