<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $pdf_link
 * @property mixed $subject
 * @property mixed $created_at
 * @property mixed $updated_at
 * @property mixed $deleted_at
 */
class CourseWorkResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        return [
            'id' => $this->id,
            'pdf_link' => $helper->cleanStringHelper(asset('storage/app/media/uploads'.$this->pdf_link)),
            'relationships' => [
                'subjects' => $this->subject
            ],
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'deleted_at' => $this->deleted_at
        ];
    }
}
