<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $review_rating
 * @property mixed $review_comment
 * @property mixed $created_at
 * @property mixed $updated_at
 * @property mixed $teacher
 */
class ReviewResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        return [
            'id' => $this->id,
            'review_rating'  => $this->review_rating,
            'review_comment'  => $helper->cleanStringHelper($this->review_comment),
            'teacher' => $this->teacher->first_name. " ". $this->teacher->last_name,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at
        ];
    }
}
