<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $created_at
 * @property mixed $updated_at
 * @property mixed $deleted_at
 * @property mixed $level
 * @property mixed $name
 * @property mixed $age
 * @property mixed $teachersEngagements
 * @property mixed $myClasses
 */
class StudentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        return [
            'id' => $this->id,
            'name' => $helper->cleanStringHelper($this->name),
            'age' => $helper->cleanStringHelper($this->age),
            'relationships' => [
                'level' => $this->level->name,
                'engagements' => TeacherRequestResource::collection($this->teachersEngagements),
                'classes' => ClassesResource::collection($this->myClasses)
            ],
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'deleted_at' => $this->deleted_at
        ];
    }
}
