<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $virtual_class_id
 * @property mixed $class_time
 * @property mixed $class_date
 * @property mixed $status
 * @property mixed $created_at
 * @property mixed $updated_at
 * @property mixed $deleted_at
 * @property mixed $teacher
 * @property mixed $student
 * @property mixed $guardian
 * @property mixed $subject
 * @property mixed $class_id
 * @property mixed $requestClass
 */
class TeacherRequestResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        return [
            'id' => $this->id,
            'virtual_class_id' => $helper->cleanStringHelper($this->virtual_class_id),
            'class_time' => $helper->cleanStringHelper($this->class_time),
            'class_date' => $helper->cleanStringHelper($this->class_date),
            'status' => $this->status === 0 ? 'false' : 'true',
            'class_meeting_id' => $this->class_id,
            'relationships' => [
                'subject' => $this->subject,
                'student' => $this->student,
                'guardian' => $this->guardian,
                'class' => $this->requestClass
            ],
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'deleted_at' => $this->deleted_at
        ];
    }
}
