<?php

namespace App\Http\Resources;

use App\Libs\Helpers\SystemHelper;
use Database\Seeders\GuardianSeeder;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $id
 * @property mixed $email
 * @property mixed $email_verified_at
 * @property mixed $role
 * @property mixed $guardian
 * @property mixed $teacher
 * @property mixed $superadmin
 */
class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $helper = new SystemHelper();
        $arrayData = [
            'id' => $this->id,
            'email' => $helper->cleanStringHelper($this->email),
            'email_verified_at' => $this->email_verified_at,
            'role' => $this->role
        ];
        if ($this->role === 'admin') {
            $arrayData['details'] = new AdminResource($this->admin);
         } elseif ($this->role === 'guardian') {
            $arrayData['details'] = new GuardianResource($this->guardian);
        } elseif ($this->role === 'teacher') {
            $arrayData['details'] = new TeacherResource($this->teacher);
        }elseif ($this->role === 'superadmin') {
            $arrayData['details'] = new SuperAdminResource($this->superadmin);
        }
        return  $arrayData;
    }
}
