<?php

namespace App\Libs\Helpers;

use App\Models\Plan;
use Carbon\Carbon;

/**
 * Systemhelper
 */
class SystemHelper
{
    /**
     * clean string helper
     * @param $string
     * @return mixed
     */
    public function cleanStringHelper($string): mixed
    {
        if (is_null($string)) {
            return "";
        }else {
            return $string;
        }
    }

    /**
     * @param $number
     * @return string
     */
    public function generateRandomOtp($number): string
    {
        $today = date('YmdHis');
        $characters = 'TUVWXYZ0123456789ABCDEFGHIJKLMNOPQRS';
        $main = $characters."".$today."". $characters;
        $randomString = '';
        for ($i = 0; $i < $number; $i++) {
            $index = rand(0, strlen($main) - 1);
            $randomString .= $main[$index];
        }
        return $randomString;
    }

    /**
     * convert money to kobo
     * @param $amount
     * @return float|int
     */
    public function convertToKobo($amount): float|int
    {
        return $amount * 100;
    }

    /**
     * convert kobo to naira
     * @param $amount
     * @return float|int
     */
    public function convertKoboToNaira($amount): float|int
    {
        return $amount / 100;
    }

    /**
     * subscription duration
     * @param $id
     * @return Carbon
     */
    public function subscriptionDurationHelper($id): Carbon
    {
        $end_date = null;
        $plan = Plan::find($id);
        $du = $plan->duration;
        if ($du == 'Three Month') {
            $end_date = Carbon::now()->addMonths(3);
        }elseif ($du == 'Six Month') {
            $end_date = Carbon::now()->addMonths(6);
        }elseif ($du == 'One Year') {
            $end_date = Carbon::now()->addMonths(12);
        }else {
            $end_date = Carbon::now()->addMonths(1);
        }
        return $end_date;
    }

    /**
     * get teacher review rating
     * @param $teacher
     * @return float
     */
    public function reviewAnalytics($teacher): float
    {
        if (count($teacher->reviews) == 0) {
            return 0;
        }
        $reviewers_count = $teacher->reviews()->count();
        $review_sum = $teacher->reviews()->sum('review_rating');
        $rate = $review_sum / $reviewers_count;
        return floor($rate);
    }

}
