<?php

namespace App\Libs\Repositories;

use App\Http\Resources\ClassesResource;
use App\Libs\Actions\ClassesAction;
use App\Libs\Repositories\Contracts\ClassesRepositoryInterface;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Resources\Json\AnonymousResourceCollection;

/**
 * Class repository
 */
class ClassesRepository implements ClassesRepositoryInterface
{
    /**
     * @var ClassesAction
     */
    private ClassesAction $action;

    /**
     * @param ClassesAction $action
     */
    public function __construct(ClassesAction $action)
    {
        $this->action = $action;
    }

    /**
     * get all classes
     * @return JsonResponse|AnonymousResourceCollection
     */
    public function getAllClasses(): JsonResponse|AnonymousResourceCollection
    {
        return $this->action->getAllClassesAction();
    }

    /**
     * get single class
     * @param $id
     * @return ClassesResource
     */
    public function getSingleClass($id): ClassesResource
    {
        return $this->action->getSingleClassAction($id);
    }

}
