<?php

namespace App\Libs\Services;

use App\Models\Classes;
use Carbon\Carbon;
use Illuminate\Config\Repository;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Support\Facades\Http;

/**
 * Create brain cert meeting
 */
class BrainCertService
{
    /**
     * @var mixed|Repository|Application
     */
    private mixed $apiUrl;
    /**
     * @var mixed|Repository|Application
     */
    private mixed $apiKey;


    public function __construct()
    {
        $this->apiUrl = config('virtualclassroom-config.class.api_url');
        $this->apiKey = config('virtualclassroom-config.class.api_key');
    }

    /**
     * create brain cert meeting
     * @return void
     */
    public function createBrainCertMeetingService(): void
    {
        $classes = Classes::where('day', '=', Carbon::now()->englishDayOfWeek)->get();
        foreach ($classes as $class) {
            $query = Http::asForm()->post($this->apiUrl."/v2/schedule?apikey=".$this->apiKey, [
                'title' => $class->subject->name,
                'start_time' => $class->time.''.$class->variation,
                'end_time' => $class->end_time.''.$class->variation,
                'date'  => date('Y-m-d'),
                'timezone' => 71,
                'repeat' => 1,
                'end_date' => date('Y-m-d'),
                'ispaid' => 1,
                'is_recurring' => 1,
                'seat_attendees' => $class->number_of_students,
                'isBoard' => 0,
                'isScreenshare' => 1,
                'description' => $class->subject->name. " ". "Lectures for ". $class->time
            ]);
            if(isset($query['class_id'])) {
                Classes::where('id', '=', $class->id)->update([
                    'meeting_id' => $query['class_id']
                ]);
            } else {
                info($query);
            }
        }
    }

}
