<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @method create(array $array)
 * @method static whereMonth(string $string, string $string1, int $month)
 * @method static whereDay(string $string, string $string1, int $month)
 * @method static get()
 * @method static where(string $string, string $string1, mixed $id)
 * @method latest()
 * @method findOrFail($id)
 */
class Classes extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = "classes";

    protected $fillable = [
        'teacher_id', 'subject_id', 'day', 'time', 'number_of_students', 'end_time', 'meeting_id', 'variation', 'meeting_type', 'meeting_details'
    ];

    public function teacher(): BelongsTo
    {
        return $this->belongsTo(Teacher::class, 'teacher_id');
    }

    public function subject(): BelongsTo
    {
        return $this->belongsTo(Subject::class, 'subject_id');
    }

    public function classRequests(): HasMany
    {
        return $this->hasMany(TeacherRequest::class);
    }

}
