<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * @method static create(array $array)
 */
class Review extends Model
{
    use HasFactory;

    protected $fillable = [
        'teacher_id',  'review_rating', 'review_comment', 'class_id'
    ];

    public function teacher(): BelongsTo
    {
        return$this->belongsTo(Teacher::class, 'teacher_id');
    }

    public function lecture(): BelongsTo
    {
        return $this->belongsTo(Classes::class, 'class_id');
    }

}
