<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @method create(array $array)
 * @method findOrFail($engagement_id)
 * @method where(string $string, string $string1, $id)
 */
class TeacherRequest extends Model
{
    use HasFactory, SoftDeletes;

    protected  $fillable = [
        'teacher_id', 'guardian_id', 'student_id', 'subject_id', 'class_id',  'virtual_class_id', 'class_time', 'class_date',  'status'
    ];

    public function teacher(): BelongsTo
    {
        return $this->belongsTo(Teacher::class, 'teacher_id');
    }

    public function guardian(): BelongsTo
    {
        return $this->belongsTo(Guardian::class, 'guardian_id');
    }

    public function subject(): BelongsTo
    {
        return $this->belongsTo(Subject::class, 'subject_id');
    }

    public function student(): BelongsTo
    {
        return $this->belongsTo(Student::class, 'student_id');
    }

    public function requestClass(): BelongsTo
    {
        return $this->belongsTo(Classes::class, 'class_id');
    }

}
