<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register(): void
    {
        $this->app->bind(
            \App\Libs\Repositories\Contracts\AuthRepositoryInterface::class,
            \App\Libs\Repositories\AuthRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\EmailVerificationRepositoryInterface::class,
            \App\Libs\Repositories\EmailVerificationRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\ForgotPasswordRepositoryInterface::class,
            \App\Libs\Repositories\ForgotPasswordRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\CategoryRepositoryInterface::class,
            \App\Libs\Repositories\CategoryRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\SubjectRepositoryInterface::class,
            \App\Libs\Repositories\SubjectRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\UserRepositoryInterface::class,
            \App\Libs\Repositories\UserRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\PlanRepositoryInterface::class,
            \App\Libs\Repositories\PlanRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\TeacherRepositoryInterface::class,
            \App\Libs\Repositories\TeacherRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\LevelRepositoryInterface::class,
            \App\Libs\Repositories\LevelRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\TeacherRequestRepositoryInterface::class,
            \App\Libs\Repositories\TeacherRequestRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\AdminRepositoryInterface::class,
            \App\Libs\Repositories\AdminRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\StudentRepositoryInterface::class,
            \App\Libs\Repositories\StudentRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\ClassesRepositoryInterface::class,
            \App\Libs\Repositories\ClassesRepository::class
        );
        $this->app->bind(
            \App\Libs\Repositories\Contracts\CourseWorkRepositoryInterface::class,
            \App\Libs\Repositories\CourseWorkRepository::class
        );

    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot(): void
    {
        //
    }
}
