<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::create('teachers', function (Blueprint $table) {
            $table->id();
            $table->foreignUuid('user_id')->constrained()->onDelete('cascade');
            $table->foreignIdFor(\App\Models\Category::class, 'category_id')->nullable()->constrained();
            $table->string('first_name');
            $table->string('last_name');
            $table->longText('bio')->nullable();
            $table->string('phone_number')->unique();
            $table->string('school_attend')->nullable();
            $table->string('degree_attained')->nullable();
            $table->string('certificate_url')->nullable();
            $table->boolean('is_approved')->default(false);
            $table->string('slug')->unique();
            $table->string('address')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::dropIfExists('teachers');
    }
};
