<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::create('guardians', function (Blueprint $table) {
            $table->id();
            $table->foreignUuid('user_id')->constrained()->onDelete('cascade');
            $table->foreignIdFor(\App\Models\Plan::class, 'plan_id')->nullable()->constrained();
            $table->string('first_name');
            $table->string('last_name');
            $table->string('phone_number')->unique();
            $table->date('from_date')->nullable();
            $table->date('to_date')->nullable();
            $table->boolean('is_subscribed')->default(false);
            $table->string('address')->nullable();
            $table->string('slug')->unique();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::dropIfExists('guardians');
    }
};
