<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::create('teacher_requests', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Guardian::class, 'guardian_id')->nullable()->constrained();
            $table->foreignIdFor(\App\Models\Subject::class, 'subject_id')->constrained();
            $table->foreignIdFor(\App\Models\Teacher::class, 'teacher_id')->constrained();
            $table->foreignIdFor(\App\Models\Student::class, 'student_id')->constrained();
            $table->string('class_link')->nullable();
            $table->time('class_time')->nullable();
            $table->date('class_date')->nullable();
            $table->boolean('status')->default(false);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::dropIfExists('teacher_requests');
    }
};
