<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::create('classes', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Teacher::class, 'teacher_id')->constrained();
            $table->foreignIdFor(\App\Models\Subject::class, 'subject_id')->constrained();
            $table->string('day')->nullable();
            $table->string('time')->nullable();
            $table->unsignedBigInteger('number_of_students');
            $table->string('meeting_id')->nullable();
            $table->string('end_time')->nullable();
            $table->string('variation')->nullable();
            $table->string('meeting_type')->nullable();
            $table->json('meeting_details')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::dropIfExists('classes');
    }
};
