<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::create('teacher_subjects', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Subject::class, 'subject_id')->constrained();
            $table->foreignIdFor(\App\Models\Teacher::class, 'teacher_id')->constrained();
            $table->string('variation');
            $table->string('day');
            $table->string('time');
            $table->string('end_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::dropIfExists('teacher_subjects');
    }
};
