<?php

namespace Database\Seeders;

use App\Libs\Enums\RolesEnum;
use Illuminate\Database\Seeder;

class AdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $users = [
            [
                'first_name' => 'Ci',
                'last_name' => 'Admin',
                'email' => 'admin@gmail.com',
                'password' => bcrypt('Password@!'),
                'phone_number' => '+2348100788859',
                'role' => RolesEnum::ADMIN
            ]
        ];
        collect($users)->each(function($user) {
            $create = (new \App\Models\User)->create([
                "email" =>  $user['email'],
                "password" =>  $user['password'],
                "email_verified_at"=>  now(),
                "role" =>  $user['role'],
            ]);
            (new \App\Models\Admin)->create([
                'user_id' => $create->id,
                'first_name' => $user['first_name'],
                'last_name' => $user['last_name'],
                'phone_number' => $user['phone_number']
            ]);
        });
    }
}
