<?php

namespace Database\Seeders;

use App\Libs\Enums\RolesEnum;
use Illuminate\Database\Seeder;

class GuardianSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $users = [
            [
                'first_name' => 'Peter',
                'last_name' => 'Jackson',
                'email' => 'peterjack@gmail.com',
                'password' => bcrypt('Password@!'),
                'phone_number' => '+2348100788889',
                'role' => RolesEnum::GUARDIAN
            ]
        ];
        collect($users)->each(function($user) {
            $create = (new \App\Models\User)->create([
                "email" =>  $user['email'],
                "password" =>  $user['password'],
                "email_verified_at"=>  now(),
                "role" =>  $user['role'],
            ]);
            (new \App\Models\Guardian)->create([
                'user_id' => $create->id,
                'first_name' => $user['first_name'],
                'last_name' => $user['last_name'],
                'phone_number' => $user['phone_number']
            ]);
        });
    }
}
