<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Libs\Helpers\SystemHelper;

class PlanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $systemHelper = new SystemHelper();
        $plans = [
            [
                'title' => 'Basic Plan',
                'description' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.",
                'duration' => 'One Week',
                'cost' => $systemHelper->convertToKobo(5000),
                "properties"  => [
                    "free video",
                    "free food",
                    "free email"
                ]
            ],
            [
                'title' => 'One Month Plan',
                'description' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.",
                'duration' => 'One Month',
                'cost' => $systemHelper->convertToKobo(15000),
                "properties"  => [
                    "free video",
                    "free food",
                    "free email",
                    "free internet"
                ]
            ],
            [
                'title' => 'Three Month Plan',
                'description' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.",
                'duration' => 'Three Month ',
                'cost' => $systemHelper->convertToKobo(15000),
                "properties"  => [
                    "free video",
                    "free food",
                    "free email",
                    "free internet"
                ]
            ]
        ];
        collect($plans)->each(function($plan) {
            (new \App\Models\Plan)->create([
                'title' => $plan['title'],
                'description' => $plan['description'],
                'duration' => $plan['duration'],
                'cost' => $plan['cost'],
                'properties' => json_encode($plan['properties'])
            ]);
        });
    }
}
