<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class StudentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $users = [
            [
                'guardian_id' =>  (new \App\Models\Guardian)->inRandomOrder()->first()->id,
                'name' => 'Paul Akposieyefa',
                'age' => 21,
                'level_id' => (new \App\Models\Level)->inRandomOrder()->first()->id
            ],
            [
                'guardian_id' =>  (new \App\Models\Guardian)->inRandomOrder()->first()->id,
                'name' => 'Akposieyefa',
                'age' => 20,
                'level_id' => (new \App\Models\Level)->inRandomOrder()->first()->id
            ]
        ];
        collect($users)->each(function($user) {
            (new \App\Models\Student)->create([
                'guardian_id' => $user['guardian_id'],
                'name' => $user['name'],
                'age' => $user['age'],
                'level_id' => $user['level_id']
            ]);
        });
    }
}
