<?php

namespace Database\Seeders;

use App\Libs\Enums\RolesEnum;
use Illuminate\Database\Seeder;

class TeacherSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $users = [
            [
                'first_name' => 'Peter',
                'last_name' => 'Williams',
                'email' => 'peter@gmail.com',
                'password' => bcrypt('Password@!'),
                'phone_number' => '+2348100788889',
                'role' => RolesEnum::TEACHER,
                'category_id' =>  (new \App\Models\Category)->inRandomOrder()->first()->id
            ],
            [
                'first_name' => 'Ebi',
                'last_name' => 'Paul',
                'email' => 'paul@gmail.com',
                'password' => bcrypt('Password@!'),
                'phone_number' => '+2348100788869',
                'role' => RolesEnum::TEACHER,
                'category_id' =>  (new \App\Models\Category)->inRandomOrder()->first()->id
            ]
        ];
        collect($users)->each(function($user) {
            $create = (new \App\Models\User)->create([
                "email" =>  $user['email'],
                "password" =>  $user['password'],
                "email_verified_at"=>  now(),
                "role" =>  $user['role'],
            ]);
            (new \App\Models\Teacher)->create([
                'user_id' => $create->id,
                'first_name' => $user['first_name'],
                'last_name' => $user['last_name'],
                'phone_number' => $user['phone_number'],
                'category_id' => $user['category_id']
            ]);
        });
    }
}
