<?php

namespace Tests\Feature;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\TestCase;
use App\Models\User;
use Laravel\Sanctum\Sanctum;


class AuthControllerTest extends TestCase
{
    use RefreshDatabase;

    public function test_get_user_profile_successful(): void
    {
        $user = User::factory()->create();
        Sanctum::actingAs($user);
        $response = $this->get('/api/v1/user-profile');
        $response->assertStatus(200);
    }

    public function test_logout_route_is_successful()
    {
        $user = User::factory()->create();
        Sanctum::actingAs($user);
        $response = $this->get('/api/v1/user-profile');
        $response->assertStatus(200);
    }
}
