<?php

namespace Tests\Unit;

use App\Libs\Helpers\SystemHelper;
use PHPUnit\Framework\TestCase;

/**
 * test system helper methods
 */
class SystemHelperTest extends TestCase
{
    /**
     * convert kobo to naira
     *
     * @return void
     */
    public function test_convert_naira_to_kobo(): void
    {
        $helper = new SystemHelper();
        $response = $helper->convertToKobo(10);
        $this->assertEquals(1000, $response);
    }

    /**
     * test convert to naira method
     * @return void
     */
    public function test_convert_kobo_to_naira(): void
    {
        $helper = new SystemHelper();
        $response = $helper->convertKoboToNaira(1000);
        $this->assertEquals(10, $response);
    }

    /**
     * test generate random otp
     * @return void
     */
    public function test_generate_random_otp_return_string(): void
    {
        $helper = new SystemHelper();
        $response = $helper->generateRandomOtp(10);
        $this->assertIsString($response);
    }

    /**
     * test clean string method
     * @return void
     */
    public function test_clean_string_returns_a_string(): void
    {
        $helper = new SystemHelper();
        $string = null;
        $response = $helper->cleanStringHelper($string);
        $this->assertIsString($response);
    }

}
